"use strict";
//大事记
Object.defineProperty(exports, "__esModule", { value: true });
exports.dsjNodeList = exports.getData = void 0;
const out_1 = require("../cal/out");
const analysisExcelData_1 = require("../data/analysisExcelData");
async function getData(req, res) {
    let excelData = analysisExcelData_1.get大事记();
    let list = out_1.getListOutData("大事记节点", excelData["大事记节点内容"]);
    let result = [];
    let titleConfig = {
        "节点名称": "nodeName",
        "标题内容": "title",
        "图片名称": "titleImgUrl",
        "是否有弹框": "havePop",
        "弹框视频/图片内容": "popInfo",
        "弹框内容": "popDes",
    };
    list.valueList.forEach(info => {
        let onceNode = {};
        info.forEach((item, index) => {
            let title = titleConfig[list.titleList[index]];
            if (title == "popInfo") {
                let splitStrList = splitStr(item);
                let { videoList, imgList } = urlSortOut(splitStrList);
                onceNode["popVideoUrl"] = videoList;
                onceNode["popImgUrl"] = imgList;
                return;
            }
            onceNode[title] = item;
        });
        onceNode["title"] = splitStr(onceNode["title"]);
        onceNode["titleImgUrl"] = splitStr(onceNode["titleImgUrl"]);
        for (let i = 0; i < onceNode["titleImgUrl"].length; i++) {
            if (onceNode["titleImgUrl"][i])
                onceNode["titleImgUrl"][i] = `/dsj/${onceNode["titleImgUrl"][i]}`;
        }
        onceNode["popDes"] = splitDesStr(onceNode["popDes"]);
        result.push(onceNode);
    });
    res.send({ "dsjList": result });
}
exports.getData = getData;
function dsjNodeList(req, res) {
    let excelData = analysisExcelData_1.get大事记();
    let tableData = out_1.getListOutData("大事记节点", excelData["大事记节点内容"]);
    let ditinctMap = {};
    let indexMap = {};
    let data = [];
    tableData.valueList.forEach(info => {
        let txt = info[0];
        if (info[3] != "是")
            return;
        if (!ditinctMap[txt])
            ditinctMap[txt] = 1;
        else
            ditinctMap[txt] += 1;
    });
    tableData.valueList.forEach(info => {
        let txt = info[0];
        if (info[3] != "是")
            return;
        if (ditinctMap[txt] > 1) {
            if (!indexMap[txt])
                indexMap[txt] = 0;
            let str = `${txt}_${indexMap[txt] + 1}`;
            indexMap[txt] += 1;
            data.push({ txt, id: str });
        }
        else
            data.push({ txt, id: txt });
    });
    res.send({ data });
}
exports.dsjNodeList = dsjNodeList;
function splitStr(str) {
    if (!str)
        return [];
    let splitList = str.indexOf("\r\n") > -1 ? str.split("\r\n") : str.split("\n");
    return splitList;
}
function splitDesStr(str) {
    let splitList = str.indexOf("\r\n") > -1 ? str.split("\r\n") : str.split("\n");
    let list = [];
    splitList.forEach(info => {
        if (info)
            list.push(info);
    });
    return list;
}
function urlSortOut(urlList) {
    let videoList = [];
    let imgList = [];
    if (!urlList)
        return { videoList, imgList };
    urlList.forEach(urlStr => {
        if (!urlStr)
            return;
        if (urlStr.indexOf(".mp4") >= 0) {
            videoList.push(urlStr);
        }
        else {
            imgList.push(urlStr);
        }
    });
    return { videoList, imgList };
}
//# sourceMappingURL=dsj.js.map