"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnum = exports.initConfig = exports.systemConfig = void 0;
const path = require('path');
const fs = require("fs");
const bizError_1 = require("../util/bizError");
const myXML_1 = require("../util/myXML");
const systemClass_1 = require("../config/systemClass");
const os = require('os');
exports.systemConfig = new systemClass_1.ServerConfig;
const ConfigName = "serverConfig.xml";
async function initConfig() {
    try {
        let buff = fs.readFileSync(path.join(__dirname.substring(0, __dirname.indexOf("out")), ConfigName));
        let configStr = buff.toString();
        let configInfo = await myXML_1.analysisXml(configStr);
        if (!configInfo || !configInfo.config)
            throw new bizError_1.BizError('xml中无配置');
        else {
            let { port, mongodb } = configInfo.config;
            exports.systemConfig.port = parseInt(port[0]);
            const MongoPath = mongodb[0].path[0];
            const MongoPort = mongodb[0].port[0];
            const MongoW = mongodb[0].w[0];
            const MongoDataBase = mongodb[0].dataBase[0];
            const MongoWtimeoutMS = mongodb[0].wtimeoutMS[0];
            exports.systemConfig.mongodbStr = analysisMongoConnectStr(MongoPath, MongoPort, MongoDataBase, MongoW, MongoWtimeoutMS);
        }
        console.log("config init success");
    }
    catch (err) {
        throw new bizError_1.BizError("服务器配置解析错误 请检查根目录下 serverConfig.xml 文件是否正确");
    }
}
exports.initConfig = initConfig;
function analysisMongoConnectStr(path, port, dataBase, w, timeOutMs) {
    return `mongodb://${path}:${port}/${dataBase}?w=${w}&wtimeoutMS=${timeOutMs}`;
}
function getEnum() {
}
exports.getEnum = getEnum;
//# sourceMappingURL=serverConfig.js.map