"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJrsj = exports.getInterfaceData = void 0;
const serverConfig_1 = require("../../config/serverConfig");
const cronJob_1 = require("../cronJob");
//测试概况
async function getInterfaceData() {
    //"测试企业及车辆数量接口";
    let enterpriseVehicleAmountData = await cronJob_1.getInterfaceByInterfaceName(serverConfig_1.dataCenterInterfaceConfig.enterpriseVehicleAmount, {});
    let { enterpriseVehicleList, totalEnterprise, totalVehicle } = enterpriseVehicleAmountData;
    //"总实时测试概况接口"
    let testStatusTotalData = await cronJob_1.getInterfaceByInterfaceName(serverConfig_1.dataCenterInterfaceConfig.testStatusTotal, {});
    let { autoDuration, autoMileage, duration, mileage } = testStatusTotalData;
    let jcsjData = [
        { key: "测试企业数", value: totalEnterprise + "家" },
        { key: "企业牌照数", value: totalVehicle + "个" },
        { key: "测试总里程", value: mileage + "km" },
        { key: "测试总时长", value: duration + "h" },
        { key: "功能测试总里程", value: autoMileage + "km" },
        { key: "功能测试总时长", value: autoDuration + "h" }
    ];
    let cspzData = {};
    enterpriseVehicleList.forEach(info => {
        let { enterpriseLogo, totalVehicle } = info;
        if (enterpriseLogo)
            cspzData[enterpriseLogo] = totalVehicle + "辆";
    });
    return { cspzData, jcsjData };
}
exports.getInterfaceData = getInterfaceData;
//今日数据
async function getJrsj() {
    let data = await cronJob_1.getInterfaceByInterfaceName(serverConfig_1.dataCenterInterfaceConfig.todayTestStatusTotal, {});
    let { autoDuration, autoMileage, duration, mileage } = data;
    let 今日数据 = { "在线车辆数": "" };
    let 今日测试 = { "里程": mileage + 'km', "时长": duration + 'h' };
    let 今日功能测试 = { "里程": autoMileage + 'km', "时长": autoDuration + 'h' };
    return { 今日数据, 今日测试, 今日功能测试 };
}
exports.getJrsj = getJrsj;
//# sourceMappingURL=csgkData.js.map