/**
 * 校验value是否符合传入的枚举
 * @param enumConf 目标枚举
 * @param value 目标值
 * @returns true/false 是否通过校验
 */
export function checkEnumValue(enumConf, value:any) {
    if ( typeof value == 'number' ) {
        return enumConf[value] ? true : false;
    }
    let checkSuccess = true;
    value.forEach(item => {
        if ( !enumConf[item] ) checkSuccess = false;
    });

    return checkSuccess;
}


/**
 * 将枚举值转换成对应的枚举名(key)
 * @param enumConf 目标枚举
 * @param value 目标值
 * @returns string  返回字符串 如果传入多个枚举值，就拼接字符串
 */
export function changeEnumValue(enumConf, value:any) {
    if (!value) return '';
    if ( typeof value == 'number' ) {
        return enumConf[value];
    }
    let str = "";
    value.forEach((item, index) => {
        str += enumConf[item];
        if (index == value.length-1) str+="";
        else str += ","
    });

    return str;
}